---
title: "Nextcloud"
date: 2023-01-11T17:08:23+03:00
weight: 2
description: >
  Swiss knife in the business of working together
---

Collaboration means file storage, document management, video conferencing, shared event calendars, and things like that. As a rule, people tend to trust personal life and business to third-party services. However, there is an option to keep it all on your own server.

We choose [Nextcloud](https://nextcloud.com/) - free software for convenient scheduling and file storage.

- [Official project website](https://nextcloud.com/)

## Authentication

When creating a server, `admin` Nextcloud user is created with the password you've used for
your primary user.

To add new users,

1. go to the user administration panel, on the web interface of your Nextcloud.

{{< imgproc nextcloud1 Fill "1275x853" />}}

2. Click the New User button.

{{< imgproc nextcloud2 Fill "1278x415" />}}

## Recommended clients

- WEB interface: available after SelfPrivacy server configuration, at `https://cloud.YOUR.DOMAIN`
- [Official application](https://nextcloud.com/install/#install-clients) (GNU/Linux, Windows, macOS, Android, iOS)

## How to reset the admin password

To follow the steps below, you'll need to connect to the server via SSH with administrative rights. A basic understanding of the command line is beneficial ;)

For detailed connection instructions, [click here](https://selfprivacy.org/docs/how-to-guides/root_ssh/).

After connecting, enter the following command:

```nextcloud-occ user:resetpassword admin```

You will prompted for a new password, the characters will be hidden.

## FAQ

### Nextcloud Updater does not work

It's fine, it should be. Nextcloud is updated via NixOS, and depends on our NixOS repository. Everything happens without your intervention.

### Why can't I use my Nextcloud in third-party services?

This can happen if the third-party service has a restriction to only connect to a specific Nextcloud instance.

### Should I use an extension to encrypt my Nextcloud?

We do not recommend it. The encryption keys are stored on the server, which makes such encryption practically useless.

### Adding Contacts

1. Open your Nextcloud, click on the contacts icon in the top right corner. Then click on "Install the Contacts app".

{{< imgproc nextcloud_add_contact Fill "1276x610" />}}

2. Click "Download and enable".

{{< imgproc nextcloud_add_contact2 Fill "1280x704" />}}

3. Now you have a new item in the menu.

{{< imgproc nextcloud_add_contact3 Fill "1278x726" />}}

### Adding Calendar

1. Click on your profile avatar in the top right corner.

2. In the dropdown menu, click "Apps".

3. You will be taken to the app store, go to the "Organization" category and find the "Calendar" app.

4. Click "Download and enable".
  
{{< imgproc nextcloud_add_contact4 Fill "1275x1169" />}}

5. You now have another new item in the menu.

{{< imgproc nextcloud_add_contact5 Fill "1281x465" />}}

## Synchronizing Nextcloud Across Different Devices

Download the [Nextcloud main app](https://nextcloud.com/install/#install-clients) (GNU/Linux, Windows, macOS, Android, iOS). It will help you synchronize files.

How to set up synchronization for contacts and calendar? Instructions for different systems and applications.

- [iOS](https://docs.nextcloud.com/server/latest/user_manual/en/groupware/sync_ios.html#)
- [macOS](https://docs.nextcloud.com/server/latest/user_manual/en/groupware/sync_osx.html)
- [Windows 10](https://docs.nextcloud.com/server/latest/user_manual/en/groupware/sync_windows10.html)
- Android — see below

- [Thunderbird](https://docs.nextcloud.com/server/latest/user_manual/en/groupware/sync_thunderbird.html)
- [KDE Kontact](https://docs.nextcloud.com/server/latest/user_manual/en/groupware/sync_kde.html)
- [GNOME Desktop](https://docs.nextcloud.com/server/latest/user_manual/en/groupware/sync_gnome.html)

# How to Synchronize Nextcloud with an Android Smartphone?

1. Download the [DAVx⁵ app](https://www.davx5.com/download/) on your Android device from [F-Droid](https://f-droid.org/de/packages/at.bitfire.davdroid/) or the [Google Play Store](https://play.google.com/store/apps/details?id=at.bitfire.davdroid).

2. Open the app, and create a new account by tapping the "plus" button.

3. In the account creation menu, select the last option "Nextcloud".

4. The app will prompt you to enter the URL of your Nextcloud instance. The URL should look like: `https://cloud.YOUR.DOMAIN`.

5. A browser will open. You need to log into your Nextcloud account and grant access.

{{< imgproc nextcloud3 Fill "1134x466" />}}

6. Return to the DAVx⁵ app. For the name, enter the email address registered in your Nextcloud account settings.

7. In the "Contact group method" section, choose "Groups are categories of contacts".

{{< imgproc nextcloud4 Fill "1200x573" />}}

8. Select the data you want to synchronize.
